// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef TCS_H
#define TCS_H

#include "Dal.h"

namespace TCSfiles {
  enum type {TCS, TCX};
}

class TCS {

 public:

  DataSet *dataSet;
  Table *tab;

  Column *frameCol;
  Column *obtcCol;
  Column *obtfCol;
  Column *utcdayCol;
  Column *utcmilCol;
  Column *utcmicCol;
  Column *utcflagCol;
  Column *corrparaCol;
  Column *corrparbCol;
  Column *ertCol;
  Column *gsidCol;
  Column *ertrawCol;

  ColumnData *frameColD;
  ColumnData *obtcColD;
  ColumnData *obtfColD;
  ColumnData *utcdayColD;
  ColumnData *utcmilColD;
  ColumnData *utcmicColD;
  ColumnData *utcflagColD;
  ColumnData *corrparaColD;
  ColumnData *corrparbColD;
  ColumnData *ertColD;
  ColumnData *gsidColD;
  ColumnData *ertrawColD;

  int32  *frameData;
  int32  *obtcData;
  uint16 *obtfData;
  int16  *utcdayData;
  int32  *utcmilData;
  int16  *utcmicData;
  // No ERT Data
  int16  *utcflagData;
  int16  *gsData;
  // No Raw ERT Data

  TCS(TCSfiles::type, int rev, int obsid);
  
  void close();
  void open(Dal::AccessMode mode = DataSet::Read);
  string getFilename();
  string getTablename();

  TCSfiles::type fileType;

  string filename;

  string tablename;

};


#endif
